NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.AssociativeLineBuilder Class Reference

Represents a NXOpen.Features.AssociativeLine builder More...

Inheritance diagram for NXOpen.Features.AssociativeLineBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  EndOption {
  Inferred, Point, Tangent, AtAngle,
  AlongXc, AlongYc, AlongZc, Normal
}
 Represents end options type. More...
 
enum  EndReference { Wcs, Absolute, CordinatesSystem }
 Represents references for end point More...
 
enum  StartOption {
  Inferred, Point, Tangent, AtAngle,
  AlongXc, AlongYc, AlongZc, Normal
}
 Represents start options type. More...
 
enum  StartReference { Wcs, Absolute, CordinatesSystem }
 Represents references for start point More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets the associative More...
 
unsafe NXOpen.Expression EndAngle [get]
 Returns the end angle More...
 
unsafe
NXOpen.SelectDisplayableObject 
EndAtAngle [get]
 Returns the end at angle More...
 
unsafe NXOpen.SelectObject EndInferredConstraint [get]
 Returns the end inferred constraint More...
 
unsafe
NXOpen.SelectDisplayableObject 
EndNormal [get]
 Returns the end normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe NXOpen.SelectPoint EndPoint [get]
 Returns the end point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeLineBuilder.EndOption 
EndPointOptions [get, set]
 Returns or sets the end point options More...
 
unsafe
NXOpen.Features.AssociativeLineBuilder.EndReference 
EndPointReference [get, set]
 Returns or sets the end point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
EndReferenceCsys [get]
 Returns the end reference coordinate system More...
 
unsafe NXOpen.SelectICurve EndTangent [get]
 Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe
NXOpen.GeometricUtilities.CurveLimitsData 
Limits [get]
 Returns the limits More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
LineEndNormal [get]
 Returns the end normal - The end normal can have multiple faces, edges, curves and single datum. More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
LineStartNormal [get]
 Returns the start normal - The start normal can have multiple faces, edges, curves and single datum. More...
 
unsafe NXOpen.Expression StartAngle [get]
 Returns the start angle More...
 
unsafe
NXOpen.SelectDisplayableObject 
StartAtAngle [get]
 Returns the start at angle More...
 
unsafe NXOpen.SelectObject StartInferredConstraint [get]
 Returns the start inferred constraint More...
 
unsafe
NXOpen.SelectDisplayableObject 
StartNormal [get]
 Returns the start normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe NXOpen.SelectPoint StartPoint [get]
 Returns the start point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint More...
 
unsafe
NXOpen.Features.AssociativeLineBuilder.StartOption 
StartPointOptions [get, set]
 Returns or sets the start point options More...
 
unsafe
NXOpen.Features.AssociativeLineBuilder.StartReference 
StartPointReference [get, set]
 Returns or sets the start point reference More...
 
unsafe
NXOpen.SelectCartesianCoordinateSystem 
StartReferenceCsys [get]
 Returns the start reference coordinate system More...
 
unsafe NXOpen.SelectICurve StartTangent [get]
 Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions More...
 
unsafe
NXOpen.GeometricUtilities.SupportPlaneData 
SupportPlaneData [get]
 Returns the support plane data More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.AssociativeLine builder

To create a new instance of this class, use NXOpen.Features.BaseFeatureCollection.CreateAssociativeLineBuilder

Default values.

Property Value

Associative

True

Limits.EndLimit.LimitOption

AtPoint

SupportPlaneData.SupportPlaneLockStatus

No

Created in NX5.0.0

Member Enumeration Documentation

Represents end options type.

Enumerator
Inferred 

Inferred

Point 

Point

Tangent 

Tangent

AtAngle 

At angle

AlongXc 

Along XC

AlongYc 

Along YC

AlongZc 

Along ZC

Normal 

Normal

Represents references for end point

Enumerator
Wcs 

WCS

Absolute 

Absolute

CordinatesSystem 

CSYS

Represents start options type.

Enumerator
Inferred 

Inferred

Point 

Point

Tangent 

Tangent

AtAngle 

At angle

AlongXc 

Along XC

AlongYc 

Along YC

AlongZc 

Along ZC

Normal 

Normal

Represents references for start point

Enumerator
Wcs 

WCS

Absolute 

Absolute

CordinatesSystem 

CSYS

Property Documentation

unsafe bool NXOpen.Features.AssociativeLineBuilder.Associative
getset

Returns or sets the associative

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Expression NXOpen.Features.AssociativeLineBuilder.EndAngle
get

Returns the end angle

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeLineBuilder.EndAtAngle
get

Returns the end at angle

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.AssociativeLineBuilder.EndInferredConstraint
get

Returns the end inferred constraint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeLineBuilder.EndNormal
get

Returns the end normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

Deprecated in NX11.0.1. Use other versions of NXOpen.Features.AssociativeLineBuilder.LineEndNormal .

License requirements: None.

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeLineBuilder.EndPoint
get

Returns the end point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeLineBuilder.EndOption NXOpen.Features.AssociativeLineBuilder.EndPointOptions
getset

Returns or sets the end point options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AssociativeLineBuilder.EndReference NXOpen.Features.AssociativeLineBuilder.EndPointReference
getset

Returns or sets the end point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeLineBuilder.EndReferenceCsys
get

Returns the end reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectICurve NXOpen.Features.AssociativeLineBuilder.EndTangent
get

Returns the end tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveLimitsData NXOpen.Features.AssociativeLineBuilder.Limits
get

Returns the limits

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.AssociativeLineBuilder.LineEndNormal
get

Returns the end normal - The end normal can have multiple faces, edges, curves and single datum.

This data resides in NXOpen.ScCollector which is inside SELECT_OBJECT_list. The line normal will be evaluated to the closest entity from the selected point. The input collector must not contain mixed selection. Multiple datum planes are not allowed and the faces in collector must be contiguous.

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.AssociativeLineBuilder.LineStartNormal
get

Returns the start normal - The start normal can have multiple faces, edges, curves and single datum.

This data resides in NXOpen.ScCollector which is inside SELECT_OBJECT_list. The line normal will be evaluated to the closest entity from the selected point. The input collector must not contain mixed selection. Multiple datum planes are not allowed and the faces in collector must be contiguous.

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.AssociativeLineBuilder.StartAngle
get

Returns the start angle

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeLineBuilder.StartAtAngle
get

Returns the start at angle

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.SelectObject NXOpen.Features.AssociativeLineBuilder.StartInferredConstraint
get

Returns the start inferred constraint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.AssociativeLineBuilder.StartNormal
get

Returns the start normal - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX7.5.0

Deprecated in NX11.0.1. Use other versions of NXOpen.Features.AssociativeLineBuilder.LineStartNormal .

License requirements: None.

unsafe NXOpen.SelectPoint NXOpen.Features.AssociativeLineBuilder.StartPoint
get

Returns the start point - this should be a smart point created using one of NXOpen.PointCollection.CreatePoint

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.AssociativeLineBuilder.StartOption NXOpen.Features.AssociativeLineBuilder.StartPointOptions
getset

Returns or sets the start point options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.AssociativeLineBuilder.StartReference NXOpen.Features.AssociativeLineBuilder.StartPointReference
getset

Returns or sets the start point reference

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.SelectCartesianCoordinateSystem NXOpen.Features.AssociativeLineBuilder.StartReferenceCsys
get

Returns the start reference coordinate system

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectICurve NXOpen.Features.AssociativeLineBuilder.StartTangent
get

Returns the start tangent - point can be passed in SELECT_OBJECT which is used in case of multiple solutions

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.SupportPlaneData NXOpen.Features.AssociativeLineBuilder.SupportPlaneData
get

Returns the support plane data

Created in NX5.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.